## libreswan 4.3

=== programs/Makefile ===
# Copyright (C) 1998, 1999  Henry Spencer.
# Copyright (C) 1999, 2000, 2001  Richard Guy Briggs
# Copyright (C) 2012 Paul Wouters <paul@libreswan.org>
# Copyright (C) 2015,2017 Andrew Cagney
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.  See <https://www.gnu.org/licenses/gpl2.txt>.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

ifndef top_srcdir
include ../mk/dirs.mk
endif
include $(top_srcdir)/Makefile.inc

SUBDIRS=

# first
SUBDIRS += pluto
SUBDIRS += whack

SUBDIRS += _import_crl
SUBDIRS += _plutorun
SUBDIRS += _secretcensor
SUBDIRS += _stackmanager
SUBDIRS += _unbound-hook
SUBDIRS += _updown
SUBDIRS += addconn
SUBDIRS += algparse
SUBDIRS += auto
SUBDIRS += barf
SUBDIRS += cavp
SUBDIRS += ecdsasigkey
SUBDIRS += ipsec
SUBDIRS += letsencrypt
SUBDIRS += look
SUBDIRS += newhostkey
SUBDIRS += readwriteconf
SUBDIRS += rsasigkey
SUBDIRS += setup
SUBDIRS += show
SUBDIRS += showhostkey
SUBDIRS += verify

ifeq ($(USE_PORTEXCLUDES),true)
SUBDIRS += portexcludes
endif

ifeq ($(USE_XFRM),true)
SUBDIRS +=  _updown.xfrm
endif

ifeq ($(USE_BSDKAME),true)
SUBDIRS += _realsetup.bsd
SUBDIRS += _updown.bsdkame
endif

include $(top_srcdir)/mk/targets.mk

=== programs/barf/Makefile ===
# Makefile for miscellaneous programs
# Copyright (C) 2002  Michael Richardson	<mcr@freeswan.org>
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.  See <https://www.gnu.org/licenses/gpl2.txt>.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

PROGRAM=barf

ifdef top_srcdir
include $(top_srcdir)/mk/program.mk
else
include ../../mk/program.mk
endif

=== programs/pluto/Makefile ===
# Pluto Makefile, for libreswan
#
# Copyright (C) 1997 Angelos D. Keromytis.
# Copyright (C) 1998-2001 D. Hugh Redelmeier
# Copyright (C) 2005-2008 Michael Richardson <mcr@xelerance.com>
# Copyright (C) 2008-2009 David McCullough <david_mccullough@securecomputing.com>
# Copyright (C) 2008-2009 Paul Wouters <paul@xelerance.com>
# Copyright (C) 2009 Avesh Agarwal <avagarwa@redhat.com>
# Copyright (C) 2012-2013 Paul Wouters <paul@libreswan.org>
# Copyright (C) 2015-2017 Andrew Cagney
# Copyright (C) 2016-2017 Paul Wouters <pwouters@redhat.com>
# Copyright (C) 2018 Sahana Prasad <sahana.prasad07@gmail.com>
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.  See <https://www.gnu.org/licenses/gpl2.txt>.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

PROGRAM = pluto

# XXX: Pluto doesn't include mk/program.mk and define PROGRAM
PROGRAM_MANPAGE = ipsec_pluto.8

#
# XXX:
#
# Because pluto's Makefile tests USE_... variables, defined in
# config.mk, using "ifeq", it needs to include that file early.
#
# Instead:
#
# - replace the code with '$(call if-enabled)'.
#
# - move the optional files to their own library?
#

ifndef top_srcdir
include ../../mk/dirs.mk
endif
include $(top_srcdir)/mk/config.mk

# Object files required by this pluto build.

OBJS =

OBJS += send.o

ifeq ($(USE_IKEv1),true)
OBJS += ikev1_send.o
endif

OBJS += unpack.o
OBJS += impair_message.o
OBJS += ikev2_notify.o
OBJS += ikev2_send.o
OBJS += ikev2_message.o
OBJS += ikev2_cookie.o
OBJS += ikev2_ts.o
OBJS += ikev2_msgid.o
OBJS += ikev2_auth.o
OBJS += ikev2_auth_helper.o
OBJS += ikev2_delete.o
OBJS += ikev2_rekey.o
OBJS += ikev2_liveness.o

OBJS += state_db.o
OBJS += show.o
OBJS += retransmit.o

# local (possibly more up to date) copy of <linux/xfrm.h>
ifeq ($(USE_XFRM_HEADER_COPY),true)
USERLAND_INCLUDES += -I${LIBRESWANSRCDIR}/programs/pluto/linux-copy
endif

ifeq ($(USE_XFRM_INTERFACE), true)
ifeq ($(USE_XFRM_INTERFACE_IFLA_HEADER), true)
USERLAND_CFLAGS += -DUSE_XFRM_INTERFACE_IFLA_HEADER
USERLAND_INCLUDES += -I${LIBRESWANSRCDIR}/programs/pluto/linux-extra-if-link
endif
endif

ifeq ($(USE_GLIBC_KERN_FLIP_HEADERS),true)
USERLAND_CFLAGS += -DGLIBC_KERN_FLIP_HEADERS
endif

ifeq ($(USE_XFRM),true)
OBJS += kernel_xfrm.o
ifeq ($(USE_XFRM_INTERFACE),true)
OBJS += kernel_xfrm_interface.o
endif
endif

ifeq ($(USE_BSDKAME),true)
OBJS += kernel_bsdkame.o
endif

OBJS += x509.o
OBJS += fetch.o
OBJS += crl_queue.o

ifeq ($(USE_IPSEC_CONNECTION_LIMIT),true)
USERLAND_CFLAGS += -DIPSEC_CONNECTION_LIMIT=$(IPSEC_CONNECTION_LIMIT)
endif

OBJS += addresspool.o

ifeq ($(USE_IKEv1),true)
# ikev1_xauth.c calls crypt(), link it in.
OBJS += ikev1_xauth.o
USERLAND_LDFLAGS += $(CRYPT_LDFLAGS)
endif

ifeq ($(USE_AUTHPAM),true)
OBJS += pam_auth.o
OBJS += pam_conv.o
endif
USERLAND_LDFLAGS += $(AUTHPAM_LDFLAGS)


# LABELED IPSEC support - requires SElinux
ifeq ($(USE_LABELED_IPSEC),true)
OBJS += security_selinux.o
USERLAND_LDFLAGS += -lselinux
endif

ifeq ($(USE_SECCOMP),true)
OBJS += pluto_seccomp.o
endif

OBJS += $(call if-enabled, USE_SYSTEMD_WATCHDOG, pluto_sd.o)
USERLAND_LDFLAGS += $(SYSTEMD_WATCHDOG_LDFLAGS)

USERLAND_LDFLAGS += $(CURL_LDFLAGS)

ifeq ($(USE_UNBOUND_EVENT_H_COPY),true)
USERLAND_INCLUDES += -I${LIBRESWANSRCDIR}/include/unbound
endif

OBJS += ikev1_db_ops.o

# libefence is a free memory allocation debugger
# Solaris 2 needs -lsocket -lnsl
USERLAND_LDFLAGS += $(SECCOMP_LDFLAGS)
USERLAND_LDFLAGS += $(NSS_SMIME_LDFLAGS)
USERLAND_LDFLAGS += $(NSS_LDFLAGS)
USERLAND_LDFLAGS += $(NSPR_LDFLAGS)

# For avoiding implicit DSO linking
USERLAND_LDFLAGS += -lpthread

USERLAND_LDFLAGS += $(FIPSCHECK_LDFLAGS)
USERLAND_LDFLAGS += $(LIBCAP_NG_LDFLAGS)

# Add RT_LDFLAGS for glibc < 2.17
USERLAND_LDFLAGS += $(RT_LDFLAGS)

ifeq ($(USE_BSDKAME),true)
OBJS += kernel_bsd.o
else
OBJS += kernel_linux.o
endif

ifneq ($(LD_LIBRARY_PATH),)
LDFLAGS+=-L$(LD_LIBRARY_PATH)
endif

USERLAND_LDFLAGS += $(UNBOUND_LDFLAGS)
USERLAND_LDFLAGS += $(LINUX_AUDIT_LDFLAGS)

OBJS += linux_audit.o

USERLAND_LDFLAGS += -levent
USERLAND_LDFLAGS += -levent_pthreads

USERLAND_LDFLAGS += $(LDAP_LDFLAGS)

OBJS += connections.o
OBJS += connection_db.o
OBJS += initiate.o terminate.o ikev2_rekey_now.o
OBJS += pending.o crypto.o defs.o
OBJS += ike_spi.o
OBJS += foodgroups.o log.o state.o plutomain.o plutoalg.o
OBJS += revival.o
OBJS += server.o
OBJS += server_fork.o
OBJS += server_pool.o
OBJS += iface.o
OBJS += iface_udp.o
OBJS += iface_tcp.o
OBJS += hash_table.o list_entry.o
OBJS += timer.o hostpair.o
OBJS += retry.o
OBJS += ipsec_doi.o
ifeq ($(USE_DNSSEC),true)
OBJS += ikev2_ipseckey.o
endif
ifeq ($(USE_IKEv1),true)
OBJS += ikev1.o ikev1_aggr.o ikev1_main.o ikev1_quick.o ikev1_dpd.o ikev1_spdb_struct.o ikev1_msgid.o
OBJS += ikev1_states.o ikev1_hash.o ikev1_message.o
OBJS += crypt_dh_v1.o
endif
OBJS += ikev2.o ikev2_parent.o ikev2_child.o ikev2_spdb_struct.o
OBJS += ikev2_states.o
OBJS += ikev2_ecdsa.o ikev2_rsa.o ikev2_psk.o ikev2_ppk.o ikev2_crypto.o
OBJS += ikev2_redirect.o
OBJS += cert_decode_helper.o
OBJS += kernel.o
OBJS += rcv_whack.o pluto_stats.o
OBJS += demux.o msgdigest.o keys.o
OBJS += crypt_ke.o crypt_dh.o
OBJS += crypt_dh_v2.o
OBJS += rnd.o
OBJS += ikev1_spdb.o
OBJS += vendor.o nat_traversal.o
OBJS += virtual_ip.o
OBJS += packet.o pluto_constants.o
OBJS += pem.o nss_cert_verify.o
OBJS += nss_ocsp.o nss_crl_import.o
OBJS += nss_err.o
OBJS += root_certs.o
OBJS += pluto_timing.o
OBJS += pluto_shutdown.o
OBJS += nss_cert_reread.o

# Archives
OBJS += $(LIBRESWANLIB)
OBJS += $(WHACKLIB)
OBJS += $(IPSECCONFLIB)
OBJS += $(LIBRESWANLIB)
ifeq ($(USE_BSDKAME),true)
OBJS += $(BSDPFKEYLIB)
endif

include $(top_srcdir)/mk/program.mk

=== programs/setup/Makefile ===
# Makefile for miscellaneous programs
# Copyright (C) 2002  Michael Richardson	<mcr@freeswan.org>
# Copyright (C) 2012  Paul Wouters <paul@libreswan.org>
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.  See <https://www.gnu.org/licenses/gpl2.txt>.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# setup is now a wrapper that redirects the start/stop/status calls to the
# proper init system being used (systemd, upstart, sysvinit)

PROGRAM=setup

ifdef top_srcdir
include $(top_srcdir)/mk/program.mk
else
include ../../mk/program.mk
endif

=== testing/utils/Makefile ===
# FreeS/WAN subdir makefile
#
# Copyright (C) 1998-2001  Henry Spencer.
# Copyright (C) 2015 Andrew Cagney <cagney@gnu.org>
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.  See <https://www.gnu.org/licenses/gpl2.txt>.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

ifndef top_srcdir
include ../../mk/dirs.mk
endif
include $(top_srcdir)/Makefile.inc

SUBDIRS=pcap2skb

include $(top_srcdir)/mk/targets.mk

=== testing/web/Makefile ===

HTMLDIR=/var/www/html/results

.PHONY: install
install: | $(HTMLDIR)
	cd ../.. && make WEB_SUMMARYDIR=$(HTMLDIR) web

# Grab a small sample of the test results.
#
# Since interesting logs are all compressed any plain logs can be
# excluded.

fetch $(HTMLDIR):
	: grab all the top-level files
	rsync -i --copy-links --exclude '*/' \
		'testing.libreswan.org:results/*' \
		$(HTMLDIR)
	: grab a couple directories
	ssh testing.libreswan.org 'ls -d results/v3*/' \
		| cut -d/ -f2 \
		| tail -5 | head -4 \
		| tee /dev/stderr \
		| rsync -a -i --files-from - --recursive \
		  testing.libreswan.org:results/ \
		  $(HTMLDIR)

=== testing/programs/getpeercon_server/Makefile ===
# getpeercon_server Makefile, for libreswan
#
# Copyright (C) 2021 Andrew Cagney
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.  See <https://www.gnu.org/licenses/gpl2.txt>.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# XXX: Hack to suppress the man page.  Should one be added?
PROGRAM_MANPAGE =

PROGRAM = getpeercon_server

OBJS += getpeercon_server.o
LDFLAGS += -lselinux

ifdef top_srcdir
include $(top_srcdir)/mk/program.mk
else
include ../../../mk/program.mk
endif

=== testing/programs/hunkcheck/Makefile ===
# hunk like tests, for libreswan
#
# Copyright (C) 2019 Andrew Cagney
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.  See <https://www.gnu.org/licenses/gpl2.txt>.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# XXX: Hack to suppress the man page.  Should one be added?
PROGRAM_MANPAGE =

PROGRAM = hunkcheck

OBJS += hunkcheck.o

OBJS += $(LIBRESWANLIB)
OBJS += $(LSWTOOLLIBS)

ifdef top_srcdir
include $(top_srcdir)/mk/program.mk
else
include ../../../mk/program.mk
endif

=== testing/programs/ipcheck/Makefile ===
# ip tests Makefile, for libreswan
#
# Copyright (C) 2018 Andrew Cagney
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.  See <https://www.gnu.org/licenses/gpl2.txt>.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# XXX: Hack to suppress the man page.  Should one be added?
PROGRAM_MANPAGE =

PROGRAM = ipcheck

OBJS += ipcheck.o
OBJS += ip_sockaddr_check.o
OBJS += ip_address_check.o
OBJS += ip_endpoint_check.o
OBJS += ip_range_check.o
OBJS += ip_subnet_check.o
OBJS += ip_selector_check.o
OBJS += ip_said_check.o
OBJS += ip_info_check.o
OBJS += ip_protoport_check.o
OBJS += ip_port_check.o
OBJS += ip_port_range_check.o
OBJS += ip_cidr_check.o

OBJS += $(LIBRESWANLIB)
OBJS += $(LSWTOOLLIBS)

ifdef top_srcdir
include $(top_srcdir)/mk/program.mk
else
include ../../../mk/program.mk
endif

local-check: $(PROGRAM)
	$(builddir)/$(PROGRAM)

=== debian/changelog ===
libreswan (4.3-1+deb11u4) bullseye; urgency=medium

  * Resolve CVE-2023-30570 (Closes: #1035542)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 01 Jun 2023 16:14:59 -0400

libreswan (4.3-1+deb11u3) bullseye-security; urgency=high

  * use upstream patch for 4.2 and 4.3

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 03 Mar 2023 08:34:50 -0500

libreswan (4.3-1+deb11u2) bullseye-security; urgency=high

  * Fixes CVE-2023-23009 (Closes: #1031821)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 01 Mar 2023 13:11:05 -0500

libreswan (4.3-1+deb11u1) bullseye-security; urgency=high

  * Fixes CVE-2022-23094

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 12 Jan 2022 23:21:33 -0500

libreswan (4.3-1) unstable; urgency=medium

  * New upstream release
  * drop patches already upstream
  * refresh patches
  * d/copyright: drop unreferenced lib/libswan/initsubnet.c

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 28 Feb 2021 12:01:15 -0500

libreswan (4.2-1) unstable; urgency=medium

  * New upstream release 4.2
  * drop spelling patch already merged upstream
  * fix more spelling
  * move from USE_XAUTHPAM to USE_AUTHPAM, as recommended by upstream

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 03 Feb 2021 19:37:09 -0500

libreswan (4.1-4) unstable; urgency=medium

  * supply the same flags during install as during build
  * embed a copy of AVA on platforms where NSS is missing it

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 14 Jan 2021 17:21:32 -0500

libreswan (4.1-3) unstable; urgency=medium

  * Use proper toolchain feature tests (and include IPSEC_PROFILE)
  * make cryptocheck tests more verbose

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 13 Jan 2021 15:28:30 -0500

libreswan (4.1-2) unstable; urgency=medium

  * change default development branch to debian/main
  * handle platforms without a stack-protector
  * Autodetect whether to use pure NSS for KDF
  * drop unnecessary rejection of KLIPS
  * make algparse test more verbose
  * Drop bsdmainutils as a dependency (Closes: #964535)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 12 Jan 2021 21:50:15 -0500

libreswan (4.1-1) unstable; urgency=medium

  * New upstream version (Closes: #957473, #966017)
  * Standards-Version: bumped to 4.5.1 (no changes needed)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * refresh patches
  * clean up debian/copyright, following upstream cleanup
  * indicate that neither of these patches need to be forwarded upstream
  * d/rules: track new compilation configuration from upstream
  * drop unneeded lintian overrides
  * clean up spelling
  * avoid shipping accidental backup files

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 12 Jan 2021 09:24:42 -0500

=== debian/control ===
Source: libreswan
Section: net
Priority: optional
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Uploaders:
 Paul Wouters <paul@libreswan.org>,
 Ondřej Surý <ondrej@debian.org>,
Vcs-Browser: https://salsa.debian.org/debian/libreswan
Vcs-Git: https://salsa.debian.org/debian/libreswan.git -b debian/bullseye
Standards-Version: 4.5.1
Rules-Requires-Root: no
Build-Depends:
 bison,
 bzip2,
 debhelper-compat (= 13),
 flex,
 htmldoc,
 libaudit-dev [linux-any],
 libcap-ng-dev [linux-any],
 libcurl4-nss-dev,
 libevent-dev,
 libkrb5-dev,
 libldap2-dev,
 libldns-dev,
 libnspr4-dev,
 libnss3-dev (>= 3.16.1),
 libnss3-tools,
 libpam0g-dev,
 libselinux1-dev [linux-any],
 libsystemd-dev,
 libunbound-dev (>= 1.6.5~),
 man2html,
 pkg-config,
 po-debconf,
 systemd,
 xmlto,
Homepage: https://libreswan.org/

Package: libreswan
Architecture: any
Pre-Depends:
 debconf | debconf-2.0,
Depends:
 dns-root-data,
 host,
 iproute2 | iproute (>= 20071016),
 iptables,
 libnss3-tools,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 python3,
Provides:
 ike-server,
Conflicts:
 ike-server,
 strongswan-libcharon,
 strongswan-starter,
Replaces:
 ike-server,
Description: Internet Key Exchange daemon
 Libreswan is an IPsec implementation for Linux. It has support for most
 of the extensions (RFC + IETF drafts) related to IPsec, including
 IKEv2, X.509 Digital Certificates, NAT Traversal, and many others.
 .
 Libreswan has been forked from Openswan 2.6.38, which was forked from
 FreeS/WAN 1.99.
 .
 The Libreswan IKE daemon is named pluto. It was inherited from the FreeS/WAN
 project, but provides improved X.509 certificate support and other features.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@

# this should track the definition of USERCOMPILE in mk/config.mk:104
# but without -fstack-protector-all for arches that lack stack-protector
ifneq (,$(filter $(DEB_HOST_ARCH), hppa alpha ia64))
export USERCOMPILE = -fno-strict-aliasing -fPIE -DPIE
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
  ENABLE_SELINUX = USE_LABELED_IPSEC=true USE_LINUX_AUDIT=true
  ENABLE_LIBCAP_NG = USE_LIBCAP_NG=true
else
  ENABLE_SELINUX = USE_LABELED_IPSEC=false USE_LINUX_AUDIT=false
  ENABLE_LIBCAP_NG = USE_LIBCAP_NG=false
endif

PKG_CONFIG ?= pkg-config

NSS_CFLAGS := $(shell $(PKG_CONFIG) --cflags nss)
NSS_LDFLAGS := $(shell $(PKG_CONFIG) --libs nss)

CV25519_AVAILABILITY=$(shell if printf '#include <secoidt.h>\nint main() { return SEC_OID_CURVE25519; }' | $(CC) $(NSS_CFLAGS) -x c - -o /dev/null 2> /dev/null; then echo true; else echo false; fi)
NSS_KDF_AVAILABILITY=$(shell if printf '#include <pkcs11t.h>\n#include <pkcs11n.h>\nint main() { return sizeof(CK_NSS_IKE_PRF_DERIVE_PARAMS) > sizeof(CK_NSS_IKE1_APP_B_PRF_DERIVE_PARAMS); }' | $(CC) $(NSS_CFLAGS) -x c - -o /dev/null 2> /dev/null; then echo true; else echo false; fi)
IPSEC_PROFILE_AVAILABILITY=$(shell if printf '#include <certt.h>\nint main() { return certificateUsageIPsec; }' | $(CC) $(NSS_CFLAGS) -x c - -o /dev/null 2> /dev/null; then echo true; else echo false; fi)
NSS_AVA_MISSING=$(shell if printf '#include <cert.h>\nint main() { return CERT_CompareAVA(NULL,NULL); }' | $(CC) $(NSS_CFLAGS) -x c - $(NSS_LDFLAGS) -o /dev/null ; then echo false; else echo true; fi)

DEBIAN_LIBRESWAN_BUILD_FLAGS = \
		ARCH=$(DEB_HOST_ARCH) \
		IPSECVERSION=$(DEB_VERSION_UPSTREAM) \
		PREFIX=/usr \
		FINALLIBEXECDIR=/usr/libexec/ipsec \
		FINALMANDIR=/usr/share/man \
		FINALNSSDIR=/var/lib/ipsec/nss \
		USE_LDAP=true \
		USE_LIBCURL=true \
		USE_AUTHPAM=true \
		USE_FIPSCHECK=false \
		$(ENABLE_LIBCAP_NG) \
		$(ENABLE_SELINUX) \
		USE_DH31=$(CV25519_AVAILABILITY) \
		USE_NSS_KDF=$(NSS_KDF_AVAILABILITY) \
		USE_NSS_IPSEC_PROFILE=$(IPSEC_PROFILE_AVAILABILITY) \
		USE_NSS_AVA_COPY=$(NSS_AVA_MISSING) \
		USE_DNSSEC=true \
		DEFAULT_DNSSEC_ROOTKEY_FILE=/usr/share/dns/root.key

override_dh_auto_build:
	dh_auto_build -- programs \
		$(DEBIAN_LIBRESWAN_BUILD_FLAGS)

override_dh_auto_install-arch:
	# Add here commands to install the package into debian/libreswan
	$(MAKE) install \
		$(DEBIAN_LIBRESWAN_BUILD_FLAGS) \
		DESTDIR=$(CURDIR)/debian/libreswan
	find $(CURDIR)/debian/libreswan -iname '*~' -ls -delete

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	debian/tests/cryptocheck
endif

## libreswan 4.7

=== debian/changelog ===
libreswan (4.7-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/tests/control: make opportunistic and cavp skippable if builder
      doesn't have access to internet.
    - d/tests/opportunistic: if ping or wget fails then exit 77 to skip
      the test.
    - d/tests/cavp: if wget fails then exit 77 to skip the test.
  * Dropped changes, superseded upstream:
    - d/patches/fix-libselinux3.1-deprecated.patch: this fixes current
      ftbfs with libselinux3.1.
    - d/patches/fix-ftbfs-s390x.patch: fix maybe-uninitialized
      warning/error.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Oct 2022 22:28:57 -0700

libreswan (4.7-1) unstable; urgency=medium

  * New upstream release
  * move to DEP-14 branch naming
  * refresh patches
  * Standards-Version: bump to 4.6.1 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 25 May 2022 13:58:23 -0400

libreswan (4.6-1) unstable; urgency=medium

  * New upstream version
    - Fixes CVE-2022-23094
  * Drop patch already upstream
  * Refresh patches
  * Clean up lintian-overrides

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 12 Jan 2022 22:51:04 -0500

libreswan (4.5-2) unstable; urgency=medium

  * Make ikev1-policy default to "drop"

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 07 Jan 2022 18:45:21 -0500

libreswan (4.5-1) unstable; urgency=medium

  * New upstream release
  * override lintian about long lines in tests
  * USE_FIPSCHECK=false is no longer needed
  * d/copyright: track file movement
  * add debian/* stanza to d/copyright
  * standards-version: bump to 4.6.0 (no changes needed)
  * override spurious lintian warnings
  * drop bashisms from letsencrypt

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 28 Dec 2021 11:07:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: libreswan
 Section: net
 Priority: optional
-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Uploaders:
  Paul Wouters <paul@libreswan.org>,
  Ondřej Surý <ondrej@debian.org>,
 Vcs-Browser: https://salsa.debian.org/debian/libreswan
-Vcs-Git: https://salsa.debian.org/debian/libreswan.git -b debian/bullseye
-Standards-Version: 4.5.1
+Vcs-Git: https://salsa.debian.org/debian/libreswan.git
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Build-Depends:
  bison,

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,6 @@
 		USE_LDAP=true \
 		USE_LIBCURL=true \
 		USE_AUTHPAM=true \
-		USE_FIPSCHECK=false \
 		$(ENABLE_LIBCAP_NG) \
 		$(ENABLE_SELINUX) \
 		USE_DH31=$(CV25519_AVAILABILITY) \

## libreswan 4.9

=== debian/changelog ===
libreswan (4.9-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/tests/control: make opportunistic and cavp skippable if builder
      doesn't have access to internet.
    - d/tests/opportunistic: if ping or wget fails then exit 77 to skip
      the test.
    - d/tests/cavp: if wget fails then exit 77 to skip the test.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 24 Jan 2023 21:33:45 -0800

libreswan (4.9-1) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * New upstream release
    - upstream fixed LTO (Closes: #1015517)
  * d/upstream/signing-key.asc: update with better bindings
  * Standards-Version: bump to 4.6.2 (no changes needed)

  [ Vagrant Cascadian ]
  * debian/rules: Pass OBJDIR to avoid embedding hostname. (Closes: #1020736)

  [ Daniel Kahn Gillmor ]
  * refresh patches
  * d/copyright: remove reference to upstream-deleted BSDKAME code
  * update lintian overrides
  * d/copyright: update years to relevant years

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 19 Jan 2023 17:41:25 -0500

libreswan (4.7-1ubuntu2) lunar; urgency=medium

  * No-change rebuild against libldap-2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Dec 2022 19:50:52 +0000

## libreswan 4.10

=== initsystems/openrc/Makefile ===
ifndef top_srcdir
include ../../mk/dirs.mk
endif

LIBRESWANSRCDIR?=$(shell cd ../..; pwd)
SRCDIR?=${LIBRESWANSRCDIR}/initsystems/openrc/

INITDFILE=$(builddir)/ipsec.init
SUBDIRS=

include $(top_srcdir)/mk/config.mk

# Use dependencies to force the order.
#
# (Without this, since local-install-base depends local-base, rules
# like local-base and installinitfiles and checkenabled are allowed to
# run in parallel)

local-base:     $(INITDFILE)
local-install-base: installinitfiles checkenabled

installinitfiles: local-base
	mkdir -p $(INITDDIR)
	$(INSTALL) $(INITDFILE) $(INITDDIR)/ipsec

checkenabled: installinitfiles
	@echo checkenabled not yet implemented

include ${top_srcdir}/mk/targets.mk
include ${top_srcdir}/mk/rules.mk

=== lib/libswan/Makefile ===
# Libreswan library

# Copyright (C) 1998-2001  Henry Spencer.
# Copyright (C) 2003, 2004 Xelerance Corporation
# Copyright (C) 2012 Paul Wouters <pwouters@redhat.com>
# Copyright (C) 2012-2013 Paul Wouters <paul@libreswan.org>
# Copyright (C) 2015-2022 Andrew Cagney
# Copyright (C) 2019 Tuomo Soini <tis@foobar.fi>
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.  See <https://www.gnu.org/licenses/gpl2.txt>.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

#
# XXX:
#
# Because libswan's Makefile tests USE_... variables, defined in
# config.mk, using "ifeq", it needs to include that file early.
#
# Instead:
#
# - replace the code with '$(call if-enabled)'.
#
# - move the optional files to their own library?
#

ifndef top_srcdir
include ../../mk/dirs.mk
endif
include $(top_srcdir)/mk/config.mk

LIB = libswan.a

OBJS += x509dn.o asn1.o oid.o

OBJS += authby.o
OBJS += rnd.o

OBJS += constants.o \
	id.o \
	initaddr.o \
	lex.o \
	lswconf.o \
	lswfips.o \
	sameaddr.o \
	subnettypeof.o ttodata.o \
	ttosaid.o \
	ttosubnet.o \
	ttoul.o \
	secitem_chunk.o \
	lswnss.o \
	alg_byname.o

OBJS += cloexec_socket.o
OBJS += secret_pubkey_stuff_to_pubkey_der.o
OBJS += pubkey_der_to_pubkey_content.o
OBJS += clone_shunk_tokens.o
OBJS += secrets.o
OBJS += pubkey_rsa.o
OBJS += pubkey_ecdsa.o

OBJS += sparse_names.o
OBJS += ttoaddress.o
OBJS += ttoaddress_list_num.o
OBJS += ttoprotocol.o
OBJS += ttobinary-iec-60027-2.o
OBJS += binaryscale-iec-60027-2.o
OBJS += alloc.o
OBJS += alloc_printf.o

OBJS += diag.o
OBJS += passert.o
OBJS += pexpect.o
OBJS += nss_cert_load.o
OBJS += certs.o
OBJS += reqid.o
OBJS += keyid.o

ifneq ($(LINUX_VARIANT),)
OBJS += kernel_netlink_reply.o
OBJS += kernel_netlink_query.o
ifeq ($(USE_XFRM_INTERFACE), true)
OBJS += netlink_attrib.o
endif
endif

# implement resolve_default_route()
ifneq ($(LINUX_VARIANT),)
OBJS += resolve_default_route_linux.o
endif
ifneq ($(BSD_VARIANT),)
OBJS += resolve_default_route_bsd.o
endif

OBJS += log_ip.o
OBJS += fd.o
OBJS += role.o

OBJS += datatot.o
OBJS += ultot.o

OBJS += vendorid.o

OBJS += proposals.o
OBJS += v1_proposals.o
OBJS += v2_proposals.o
OBJS += esp_info.o
OBJS += ah_info.o
OBJS += ike_info.o

OBJS += ckaid.o

OBJS += chunk.o
OBJS += shunk.o
OBJS += hunk.o

OBJS += ip_bytes.o
OBJS += ip_address.o
OBJS += ip_cidr.o
OBJS += ip_encap.o
OBJS += ip_endpoint.o
OBJS += ip_info.o
OBJS += ip_port.o
OBJS += ip_port_range.o
OBJS += ip_protocol.o
OBJS += ip_protoport.o
OBJS += ip_range.o
OBJS += ip_said.o
OBJS += ip_selector.o
OBJS += ip_sockaddr.o
OBJS += ip_subnet.o
OBJS += ip_packet.o

OBJS += lmod.o
OBJS += lset.o
OBJS += timescale.o
OBJS += deltatime.o
OBJS += realtime.o
OBJS += monotime.o
OBJS += ttodeltatime.o

OBJS += refcnt.o
OBJS += debug.o
OBJS += impair.o
OBJS += keywords.o

OBJS += DBG_dump.o
OBJS += DBG_log.o
OBJS += DBG_va_list.o

OBJS += llog_base64_bytes.o
OBJS += llog_pem_bytes.o
OBJS += llog_errno.o
OBJS += log_error.o
OBJS += fatal.o
OBJS += libreswan_bad_case.o

OBJS += lswglob.o

OBJS += global_logger.o
OBJS += jambuf.o
OBJS += jam_humber.o
OBJS += jam_bytes.o
OBJS += jam_base64_bytes.o
OBJS += llog.o
OBJS += llog_dump.o
OBJS += llog_va_list.o
OBJS += log_nss_error.o

OBJS += jam_nss_cka.o
OBJS += jam_nss_ckf.o
OBJS += jam_nss_ckm.o
OBJS += jam_nss_error.o
OBJS += jam_nss_oid.o
OBJS += jam_nss_secitem.o

# Crypto code:

OBJS += test_buffer.o
OBJS += ike_alg.o
OBJS += ike_alg_dh.o
OBJS += ike_alg_hash_identity.o
OBJS += ike_alg_ipcomp.o
OBJS += ike_alg_test.o
OBJS += ike_alg_dh_nss_ecp_ops.o
OBJS += ike_alg_dh_nss_modp_ops.o
OBJS += ike_alg_hash_nss_ops.o
OBJS += ike_alg_prf_mac_hmac_ops.o
OBJS += ike_alg_prf_mac_nss_ops.o
OBJS += ike_alg_prf_mac_xcbc_ops.o
OBJS += ike_alg_prf_ikev1_mac_ops.o
OBJS += ike_alg_prf_ikev2_mac_ops.o
ifeq ($(USE_NSS_KDF),true)
OBJS += ike_alg_prf_ikev1_nss_ops.o
OBJS += ike_alg_prf_ikev2_nss_ops.o
endif
OBJS += ike_alg_encrypt_chacha20_poly1305.o
OBJS += ike_alg_encrypt_nss_aead_ops.o
OBJS += ike_alg_encrypt_nss_cbc_ops.o
OBJS += ike_alg_encrypt_nss_ctr_ops.o
OBJS += ike_alg_encrypt_nss_gcm_ops.o
OBJS += ike_alg_desc.o
ifeq ($(USE_3DES),true)
OBJS += ike_alg_3des.o
endif
ifeq ($(USE_AES),true)
OBJS += ike_alg_aes.o
endif
ifeq ($(USE_CAMELLIA),true)
OBJS += ike_alg_camellia.o
endif

# used by Vendor ID
OBJS += ike_alg_hash_md5.o
ifeq ($(USE_MD5),true)
OBJS += ike_alg_md5.o
endif

OBJS += ike_alg_none.o

# used by NAT
OBJS += ike_alg_hash_sha1.o
ifeq ($(USE_SHA1),true)
OBJS += ike_alg_sha1.o
endif

# used by Cookies
OBJS += ike_alg_hash_sha2_256.o
ifeq ($(USE_SHA2),true)
OBJS += ike_alg_sha2.o
endif

OBJS += ike_alg_encrypt_cbc_test_vectors.o
OBJS += ike_alg_encrypt_ctr_test_vectors.o
OBJS += ike_alg_encrypt_gcm_test_vectors.o
OBJS += ike_alg_prf_test_vectors.o

OBJS += crypt_mac.o
OBJS += crypt_hash.o
OBJS += crypt_prf.o
OBJS += crypt_symkey.o

ifeq ($(USE_IKEv1),true)
OBJS += ikev1_prf.o
endif
OBJS += ikev2_prf.o

ifeq ($(USE_NSS_AVA_COPY),true)
OBJS += nss_copies.o
endif

ifeq ($(USE_DNSSEC),true)
OBJS += unbound.o
endif
ifeq ($(USE_UNBOUND_EVENT_H_COPY),true)
USERLAND_INCLUDES += -I$(top_srcdir)/include/unbound
endif

OBJS += enum_names.o
OBJS += pluto_exit_code_names.o
OBJS += ipseckey_algorithm_type_names.o
OBJS += ipseckey_algorithm_config_names.o
ifneq ($(LINUX_VARIANT),)
OBJS += xfrm_policy_names.o
endif

OBJS += $(abs_builddir)/version.o

# build version.c using version number from mk/version.mk
$(abs_builddir)/version.c: $(srcdir)/version.in.c $(top_srcdir)/mk/version.mk
	rm -f $@.tmp
	sed -e '/"/s/@IPSECVERSION@/$(subst /,\/,$(IPSECVERSION))/' \
	    -e '/"/s/@IPSECVIDVERSION@/$(IPSECVIDVERSION)/' \
	    $(srcdir)/version.in.c \
	    > $@.tmp
	mv $@.tmp $@

include $(top_srcdir)/mk/library.mk

=== programs/_stackmanager/Makefile ===
# Makefile for miscellaneous programs
# Copyright (C) 2012 Paul Wouters <paul@libreswan.org>
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.  See <https://www.gnu.org/licenses/gpl2.txt>.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

PROGRAM=_stackmanager

ifdef top_srcdir
include $(top_srcdir)/mk/program.mk
else
include ../../mk/program.mk
endif

=== debian/changelog ===
libreswan (4.10-2+deb12u1) bookworm; urgency=medium

  * Fix CVE-2023-30570 (Closes: #1035542)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 02 Jun 2023 18:15:28 -0400

libreswan (4.10-2) unstable; urgency=medium

  * Reach NSPR mipsel workaround for #854472

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 10 Mar 2023 16:34:25 -0500

libreswan (4.10-1) unstable; urgency=medium

  * new upstream version
    - fixes CVE-2023-23009 (Closes: #1031821)
    - fixes some IKEv1 overdeletion

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 03 Mar 2023 10:04:35 -0500

libreswan (4.9-2) unstable; urgency=medium

  * Fix CVE-2023-23009
    (this is an attempted fix, upstream has not confirmed it yet
    at https://github.com/libreswan/libreswan/issues/954)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 22 Feb 2023 15:13:07 -0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: libreswan
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Uploaders:
  Paul Wouters <paul@libreswan.org>,
  Ondřej Surý <ondrej@debian.org>,
 Vcs-Browser: https://salsa.debian.org/debian/libreswan
-Vcs-Git: https://salsa.debian.org/debian/libreswan.git
-Standards-Version: 4.6.1
+Vcs-Git: https://salsa.debian.org/debian/libreswan.git -b debian/bookworm
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends:
  bison,

=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,7 @@
 
 DEBIAN_LIBRESWAN_BUILD_FLAGS = \
 		ARCH=$(DEB_HOST_ARCH) \
+		OBJDIR=OBJ.$(DEB_HOST_ARCH_OS).$(DEB_HOST_ARCH) \
 		IPSECVERSION=$(DEB_VERSION_UPSTREAM) \
 		PREFIX=/usr \
 		FINALLIBEXECDIR=/usr/libexec/ipsec \

## libreswan 4.11

=== debian/changelog ===
libreswan (4.11-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/tests/control: make opportunistic and cavp skippable if builder
      doesn't have access to internet.
    - d/tests/opportunistic: if ping or wget fails then exit 77 to skip
      the test.
    - d/tests/cavp: if wget fails then exit 77 to skip the test.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 16 Jun 2023 00:02:12 -0700

libreswan (4.11-1) unstable; urgency=medium

  * New upstream version
    - fixes CVE-2023-30570 (Closes: #1035542)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 02 Jun 2023 17:53:00 -0400

libreswan (4.10-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/tests/control: make opportunistic and cavp skippable if builder
      doesn't have access to internet.
    - d/tests/opportunistic: if ping or wget fails then exit 77 to skip
      the test.
    - d/tests/cavp: if wget fails then exit 77 to skip the test.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 02 May 2023 12:42:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: libreswan
 Section: net
 Priority: optional
-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Uploaders:
  Paul Wouters <paul@libreswan.org>,
  Ondřej Surý <ondrej@debian.org>,
 Vcs-Browser: https://salsa.debian.org/debian/libreswan
-Vcs-Git: https://salsa.debian.org/debian/libreswan.git -b debian/bookworm
+Vcs-Git: https://salsa.debian.org/debian/libreswan.git
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends:

## libreswan 4.12

=== debian/changelog ===
libreswan (4.12-1ubuntu1) noble; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - d/tests/control: make opportunistic and cavp skippable if builder
      doesn't have access to internet.
    - d/tests/opportunistic: if ping or wget fails then exit 77 to skip
      the test.
    - d/tests/cavp: if wget fails then exit 77 to skip the test.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 19 Nov 2023 21:17:27 -0800

libreswan (4.12-1) unstable; urgency=medium

  * New upstream version
   - fixes CVE-2023-38710
   - fixes CVE-2023-38711
   - fixes CVE-2023-38712
  * Move from libcurl4-nss to libcurl4-gnutls (Closes: #1038912)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 10 Aug 2023 11:15:45 -0400

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  htmldoc,
  libaudit-dev [linux-any],
  libcap-ng-dev [linux-any],
- libcurl4-nss-dev,
+ libcurl4-gnutls-dev,
  libevent-dev,
  libkrb5-dev,
  libldap2-dev,

## libreswan 4.12.1

=== debian/changelog ===
libreswan (4.12.1-1deepin2) unstable; urgency=medium

  * Add patch for deepin build

 -- xiangzelong <xiangzelong@deepin.org>  Fri, 12 Jan 2024 11:21:57 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libreswan
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Uploaders:
  Paul Wouters <paul@libreswan.org>,
  Ondřej Surý <ondrej@debian.org>,
